Source: https://atomicwork-preview.docs-staging.pageloop.ai/api-reference/requests/postapi-v-1-requests-major-incident

# Create major incident request

POST `https://{tenant}.atomicwork.com/api/v1/requests/major-incident`

## Authorization

#### X-Api-Key (header, string, required)

## Headers

#### X-Workspace-Id (header, string)

## Body

#### workspace\_id (body, integer)

#### incident\_cluster\_id (body, string, required)

#### request\_source (body, enum (string), required)

## Response

#### 200

Successful response

#### Request

```bash cURL
curl -X POST 'https://{tenant}.atomicwork.com/api/v1/requests/major-incident' \
  -H 'X-Api-Key: <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{"workspace_id": 0, "incident_cluster_id": "string", "request_source": "EMAIL"}'
```

```javascript JavaScript
const res = await fetch('https://{tenant}.atomicwork.com/api/v1/requests/major-incident', {
  method: 'POST',
  headers: {
    'X-Api-Key': '<api-key>',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify({"workspace_id": 0, "incident_cluster_id": "string", "request_source": "EMAIL"}),
});
const data = await res.json();
```

```python Python
import requests

res = requests.post(
    'https://{tenant}.atomicwork.com/api/v1/requests/major-incident',
    headers={'X-Api-Key': '<api-key>'},
    json={"workspace_id": 0, "incident_cluster_id": "string", "request_source": "EMAIL"}
)
data = res.json()
```
